# Interface Function

public interface Function
Defines a univariate function.

Since:
  15 Mar 2018
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`f(double x)`
Evaluates the function at a given point.

## Method Details

### f

double f(double x)
Evaluates the function at a given point.

Parameters:
  `x` - independent variable
Returns:
  value of function at x